Package owl.grammar

## Interface TLSFParserListener

- All Superinterfaces:
    `org.antlr.v4.runtime.tree.ParseTreeListener`
  All Known Implementing Classes:
    `TLSFParserBaseListener`

      public interface TLSFParserListener
      extends org.antlr.v4.runtime.tree.ParseTreeListener

  This interface defines a complete listener for a parse tree produced by `TLSFParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `enterInput​(TLSFParser.InputContext ctx)` | Enter a parse tree produced by `TLSFParser.input()`.
    `void` | `enterOutput​(TLSFParser.OutputContext ctx)` | Enter a parse tree produced by `TLSFParser.output()`.
    `void` | `enterSemantics​(TLSFParser.SemanticsContext ctx)` | Enter a parse tree produced by `TLSFParser.semantics()`.
    `void` | `enterSpecification​(TLSFParser.SpecificationContext ctx)` | Enter a parse tree produced by `TLSFParser.specification()`.
    `void` | `enterTarget​(TLSFParser.TargetContext ctx)` | Enter a parse tree produced by `TLSFParser.target()`.
    `void` | `enterTlsf​(TLSFParser.TlsfContext ctx)` | Enter a parse tree produced by `TLSFParser.tlsf()`.
    `void` | `exitInput​(TLSFParser.InputContext ctx)` | Exit a parse tree produced by `TLSFParser.input()`.
    `void` | `exitOutput​(TLSFParser.OutputContext ctx)` | Exit a parse tree produced by `TLSFParser.output()`.
    `void` | `exitSemantics​(TLSFParser.SemanticsContext ctx)` | Exit a parse tree produced by `TLSFParser.semantics()`.
    `void` | `exitSpecification​(TLSFParser.SpecificationContext ctx)` | Exit a parse tree produced by `TLSFParser.specification()`.
    `void` | `exitTarget​(TLSFParser.TargetContext ctx)` | Exit a parse tree produced by `TLSFParser.target()`.
    `void` | `exitTlsf​(TLSFParser.TlsfContext ctx)` | Exit a parse tree produced by `TLSFParser.tlsf()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

      `enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### enterTlsf

          void enterTlsf​(TLSFParser.TlsfContext ctx)

      Enter a parse tree produced by `TLSFParser.tlsf()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTlsf

          void exitTlsf​(TLSFParser.TlsfContext ctx)

      Exit a parse tree produced by `TLSFParser.tlsf()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSemantics

          void enterSemantics​(TLSFParser.SemanticsContext ctx)

      Enter a parse tree produced by `TLSFParser.semantics()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSemantics

          void exitSemantics​(TLSFParser.SemanticsContext ctx)

      Exit a parse tree produced by `TLSFParser.semantics()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterTarget

          void enterTarget​(TLSFParser.TargetContext ctx)

      Enter a parse tree produced by `TLSFParser.target()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitTarget

          void exitTarget​(TLSFParser.TargetContext ctx)

      Exit a parse tree produced by `TLSFParser.target()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterInput

          void enterInput​(TLSFParser.InputContext ctx)

      Enter a parse tree produced by `TLSFParser.input()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitInput

          void exitInput​(TLSFParser.InputContext ctx)

      Exit a parse tree produced by `TLSFParser.input()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterOutput

          void enterOutput​(TLSFParser.OutputContext ctx)

      Enter a parse tree produced by `TLSFParser.output()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitOutput

          void exitOutput​(TLSFParser.OutputContext ctx)

      Exit a parse tree produced by `TLSFParser.output()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSpecification

          void enterSpecification​(TLSFParser.SpecificationContext ctx)

      Enter a parse tree produced by `TLSFParser.specification()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSpecification

          void exitSpecification​(TLSFParser.SpecificationContext ctx)

      Exit a parse tree produced by `TLSFParser.specification()`.
      Parameters:
        `ctx` - the parse tree